
	INCDIR	"INCLUDES:"
	INCLUDE	"games/games.i"

	SECTION	"Start",CODE

Start:	cmp.l	#"GKEY",d0	;d0 = Are we being called from GMS?
	bne.s	.exit	;>> = Called from DOS, exit safely.
	move.l	#Objects,d0	;d0 = Return pointer to start of data.
	rts

.exit	moveq	#$00,d0
	rts

;---------------------------------------------------------------------------;

	SECTION	"ObjectData",DATA

Objects	dc.l	"GOBJ"	;Header.

OBJ_GameScreen:
	dc.l	"TAGS"	;Structure ID.
	dc.l	.next	;Pointer to next object.
	dc.b	"Screen",0	;Name.
	even
.data	dc.l	TAGS_GAMESCREEN,0
	dc.l	GSA_AmtColours,16
	dc.l	GSA_ScrWidth,640
	dc.l	GSA_ScrHeight,256
	dc.l	GSA_Planes,4
	dc.l	GSA_Attrib,CENTRE
	dc.l	GSA_ScrMode,HIRES|LACED
	dc.l	GSA_ScrType,ILBM
	dc.l	TAGEND

.next ;---------------------------------------------------------------------;

OBJ_Picture:
	dc.l	"TAGS"	;Structure ID.
	dc.l	.next	;Pointer to next object.
	dc.b	"Picture",0	;Name.
	even
.data	dc.l	TAGS_PICTURE,0
	dc.l	PCA_AmtColours,16
	dc.l	PCA_Width,640
	dc.l	PCA_Height,256 
	dc.l	PCA_Planes,4
	dc.l	PCA_ScrMode,HIRES|LACED
	dc.l	PCA_ScrType,ILBM
	dc.l	PCA_Options,GETPALETTE|VIDEOMEM
	dc.l	PCA_File,.file
	dc.l	TAGEND

.file	dc.b	"GMS:demos/data/PIC.Pic640x256",0
	even

.next ;---------------------------------------------------------------------;

	dc.l	"OEND"

